<%@page import="org.w3c.dom.*,org.apache.xpath.*,javax.xml.parsers.*" %>
<html>
<head><title>XPath-prve fra Java</title></head>
<body>

<%
	String udtryk = request.getParameter("udtryk");
	if (udtryk == null) udtryk = "galleri/person[@id=2]/fornavn/text()";

	try {
		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		// find filen persongalleri.xml i samme mappe som denne JSP-side
		String side = application.getRealPath(request.getServletPath());
		String fil = side.substring(0, side.lastIndexOf('/')) + "/persongalleri.xml";
		// Fortolk XML-koden til et DOM-tr
		Document tr = factory.newDocumentBuilder().parse("file:"+fil);

		// Lav liste af resultater fra XPath-udtrykket
		NodeList res = XPathAPI.selectNodeList(tr, udtryk);

		%>'<%= udtryk %>' passer p <%= res.getLength() %> element(er):<br><%
		// Gennemlb listen og udskriv
		for (int i = 0; i < res.getLength(); i++) {
			out.print(res.item(i).getNodeValue()+"<br>");
		}

	} catch (Exception e) {
		e.printStackTrace();
		out.print("<p>Der opstod et problem: "+e+"</p>");
	}
%>

<hr>
Prv et andet XPath-udtryk
<form><input name="udtryk" value='<%= udtryk %>' type="text" size="70"></form>
f.eks.:
<pre>
	galleri/person[@id=2]/fornavn/text()
	//*/titel/text()
	//*/isbn/../titel/text()
	galleri/person/vrker/vrk[@type="bog"]/titel/text()
	galleri/person/vrker/vrk[@type="hjemmeside"]/titel/text()
</pre>
Kig evt. p <a href="persongalleri.xml">XML-filen</a>.
</body>
</html>